> ## Documentation Index
> Fetch the complete documentation index at: https://docs.grdd.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get GPS

> Get GPS location of the active reservations.

## Get GPS API Overview

The **Get GPS API** handles the retrieval of GPS location of the active reservations.
OAuth authentication or legacy token authentication is required for this API.

We provide several ways to get the GPS location of the active reservations.

* Get the GPS location of the active reservation by resno.
* Get the GPS location of the active reservations by griddid.
* Get the GPS location of the active reservations by transactionId.
* Get the GPS location of multiple reservations by an array of reservation numbers.
* Get the GPS location of multiple reservations by an array of transaction IDs.

***

## **Response Body Schema**

```ts theme={null}
export const DriverLocationResponseSchema = z.object({
  chfId: z.string().optional().describe("chfId: the ID of the chauffeur (Legacy - use chauffeur object instead)"),
  chfName: z.string().optional().describe("chfName: the name of the chauffeur (Legacy - use chauffeur object instead)"),
  code: z.string().optional().describe("code: a code associated with the location or transaction"),
  griddID: z.string().optional().describe("griddID: the grid ID of the provider"),
  location: z.object({
    lat: z.number().optional().describe("lat: the latitude of the location"),
    lon: z.number().optional().describe("lon: the longitude of the location"),
  }).optional().describe("location: the geographical location with latitude and longitude"),
  phoneNo: z.string().optional().describe("phoneNo: the phone number of the chauffeur (Legacy - use chauffeur object instead)"),
  picURL: z.string().optional().describe("picURL: the picture URL of the chauffeur (Legacy - use chauffeur object instead)"),
  resNo: z.string().optional().describe("resNo: the reservation number"),
  timestamp: z.string().optional().describe("timestamp: the timestamp of the location data"),
  transactionId: z.string().optional().describe("transactionId: the transaction ID associated with the reservation"),
  chauffeur: z.any().nullish().describe("the chauffeur object: contains rich chauffeur data including phones and picture"),
  vehicle: z.any().nullish().describe("the vehicle object: contains rich vehicle information including make, model, and plate number"),
});
```

> \[NOTE]
> The attributes `chfId`, `chfName`, `phoneNo`, and `picURL` are legacy fields kept for backward compatibility. We recommend using the more comprehensive `chauffeur` and `vehicle` objects for richer data.

***

## **GetLocationByGriddid**

Get the GPS location of the active reservations by griddid.

`GET https://location.grdd.net/api/GGPS.svc/GetLocationByGriddid/{griddid}`

***

## **Example Response**

```json theme={null}
[
  {
    "chfId": "814",
    "chfName": "Jane Doe",
    "code": "ON_LOCATION",
    "location": {
      "lat": 33.5156755166667,
      "lon": -111.925511483333
    },
    "griddID": "gnettest",
    "phoneNo": "+15555555555",
    "picURL": "https://www.gravatar.com/avatar/2c7d99fe281ecd3bcd65ab915bac6dd5?s=250",
    "resNo": "292543",
    "timestamp": "2025-06-04T18:41:39Z",
    "transactionId": "11111111-3ef3-4168-a815-8f7d5e2ea36b",
    "chauffeur": {
      "griddID": "gnettest",
      "firstName": "Jane",
      "lastName": "Doe",
      "phones": [
        {
          "number": "+15555555555",
          "type": "Mobile",
          "attributes": {}
        }
      ],
      "chauffeurId": "814",
      "picURL": "https://www.gravatar.com/avatar/2c7d99fe281ecd3bcd65ab915bac6dd5?s=250"
    },
    "vehicle": {
      "vehicleId": "123",
      "make": "Ford",
      "model": "F600",
      "plateNo": "33A4T1",
      "vColor": "Black"
    }
  }
]
```

***

## **GetLocationByRes**

Get the GPS location of the active reservation by resno.

`GET https://location.grdd.net/api/GGPS.svc/GetLocationByRes/{griddid}/{resno}/v1`

## **Example Response**

```json theme={null}
{
  "chfId": "814",
  "chfName": "Jane Doe",
  "code": "ON_LOCATION",
  "location": {
    "lat": 33.5156755166667,
    "lon": -111.925511483333
  },
  "griddID": "gnettest",
  "phoneNo": "+15555555555",
  "picURL": "https://www.gravatar.com/avatar/2c7d99fe281ecd3bcd65ab915bac6dd5?s=250",
  "resNo": "292543",
  "timestamp": "2025-06-04T18:41:39Z",
  "transactionId": "11111111-3ef3-4168-a815-8f7d5e2ea36b",
  "chauffeur": {
    "griddID": "gnettest",
    "firstName": "Jane",
    "lastName": "Doe",
    "phones": [
      {
        "number": "+15555555555",
        "type": "Mobile",
        "attributes": {}
      }
    ],
    "chauffeurId": "814",
    "picURL": "https://www.gravatar.com/avatar/2c7d99fe281ecd3bcd65ab915bac6dd5?s=250"
  },
  "vehicle": {
    "vehicleId": "123",
    "make": "Ford",
    "model": "F600",
    "plateNo": "33A4T1",
    "vColor": "Black"
  }
}
```

***

## **GetLocationByTransactionId**

Get the GPS location of the active reservation by transactionId.

`GET https://location.grdd.net/api/GGPS.svc/GetLocationByTransactionId/{transactionId}/v1`

## **Example Response**

```json theme={null}
{
  "chfId": "814",
  "chfName": "John Doe",
  "code": "ON_LOCATION",
  "location": {
    "lat": 33.5156755166667,
    "lon": -111.925511483333
  },
  "griddID": "jetlimoaz",
  "phoneNo": "+15550001234",
  "picURL": "https://partnercontent.ifasttrak.com/content/driverimage/814?systemId=8C303C2D-E56E-4C58-86A3-D55A520D4156&useDefault=True",
  "resNo": "292543",
  "timestamp": "2025-06-04T18:41:39Z",
  "transactionId": "649c3fd4-0dd5-421f-922d-9c7f5274c8dc",
  "chauffeur": {
    "griddID": "jetlimoaz",
    "firstName": "John",
    "lastName": "Doe",
    "phones": [
      {
        "number": "+15550001234",
        "type": "Mobile",
        "attributes": {}
      }
    ],
    "chauffeurId": "814",
    "picURL": "https://partnercontent.ifasttrak.com/content/driverimage/814?systemId=8C303C2D-E56E-4C58-86A3-D55A520D4156&useDefault=True"
  },
  "vehicle": {
    "vehicleId": "1409",
    "make": "Ford",
    "model": "F600",
    "plateNo": "33A4T1",
    "vColor": "Black"
  }
}
```

***

## **GetLocationByTransactions**

Get the GPS location of multiple reservations by an array of transaction IDs.

`POST https://location.grdd.net/api/GGPS.svc/GetLocationByTransactions/{griddid}`

### **Request Body**

```json theme={null}
["transactionId1", "transactionId2"]
```

### **Example Response**

```json theme={null}
[
  {
    "chfId": "814",
    "chfName": "John Doe",
    "code": "ON_LOCATION",
    "location": {
      "lat": 33.5156755166667,
      "lon": -111.925511483333
    },
    "griddID": "jetlimoaz",
    "phoneNo": "+15550001234",
    "resNo": "292543",
    "timestamp": "2025-06-04T18:41:39Z",
    "transactionId": "transactionId1",
    "chauffeur": {
      "griddID": "jetlimoaz",
      "firstName": "John",
      "lastName": "Doe",
      "phones": [
        {
          "number": "+15550001234",
          "type": "Mobile"
        }
      ],
      "picURL": "https://partnercontent.ifasttrak.com/content/driverimage/814"
    },
    "vehicle": {
      "vehicleId": "1409",
      "make": "Ford",
      "model": "F600",
      "plateNo": "33A4T1",
      "vColor": "Black"
    }
  }
]
```

***

## **GetLocationByRes (Batch)**

Get the GPS location of multiple reservations by an array of reservation numbers.

`POST https://location.grdd.net/api/GGPS.svc/GetLocationByRes/{griddid}`

### **Request Body**

```json theme={null}
["resno1", "resno2"]
```

### **Example Response**

```json theme={null}
[
  {
    "chfId": "814",
    "chfName": "Jane Doe",
    "code": "ON_LOCATION",
    "location": {
      "lat": 33.5156755166667,
      "lon": -111.925511483333
    },
    "griddID": "gnettest",
    "phoneNo": "+15555555555",
    "resNo": "resno1",
    "timestamp": "2025-06-04T18:41:39Z",
    "transactionId": "11111111-3ef3-4168-a815-8f7d5e2ea36b",
    "chauffeur": {
      "griddID": "gnettest",
      "firstName": "Jane",
      "lastName": "Doe",
      "phones": [
        {
          "number": "+15555555555",
          "type": "Mobile"
        }
      ],
      "picURL": "https://www.gravatar.com/avatar/2c7d99fe281ecd3bcd65ab915bac6dd5?s=250"
    },
    "vehicle": {
      "vehicleId": "123",
      "make": "Ford",
      "model": "F600",
      "plateNo": "33A4T1",
      "vColor": "Black"
    }
  }
]
```
